"""
Adding sandbox field to task schema

Revision ID: 6163d4f63091
Revises: ac095e058649
Create Date: 2018-06-22 08:39:48.917263

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '6163d4f63091'
down_revision = 'ac095e058649'
branch_labels = None
depends_on = None


def upgrade():
    op.add_column('task', sa.Column('sandbox', sa.BOOLEAN(), nullable=True))
    op.execute('UPDATE task SET sandbox = \'t\'')
    op.alter_column('task', 'sandbox', nullable=False)


def downgrade():
    op.drop_column('task', 'sandbox')
